#!/bin/sh

if [ "$CATALINA_HOME" = "" ]; then
CATALINA_HOME=/usr/share/tomcat8
echo CATALINA_HOME env is nothing. use default value ${CATALINA_HOME}
fi

install -m 644 .ebextensions/tomcat/conf/* ${CATALINA_HOME}/conf
mv ${CATALINA_HOME}/conf/app_jaas.config.txt ${CATALINA_HOME}/conf/app_jaas.config

install -m 644 .ebextensions/tomcat/lib/* ${CATALINA_HOME}/lib

install -o tomcat -g tomcat -m 755 -d /usr/share/upload_dir
install -o tomcat -g tomcat -m 755 -d /usr/share/export

# output Workflow definitions xml file for InitLoader import
install -o tomcat -g tomcat -m 755 -d /var/lib/customize

# output Velocity log file for InitLoader import
install -o tomcat -g tomcat -m 755 -d ${CATALINA_HOME}/bin/logs

# output jprincipal.xml for InitLoader import
chmod 775 ${CATALINA_HOME}/bin/
chgrp tomcat ${CATALINA_HOME}/bin/

TOMCAT_SCRIPT=/usr/sbin/tomcat-elasticbeanstalk
if [ -e ${TOMCAT_SCRIPT} ]; then
fgrep 'cd ${CATALINA_HOME}/bin/' ${TOMCAT_SCRIPT}
if [ "$?" = "1" ]; then
cp ${TOMCAT_SCRIPT} ${TOMCAT_SCRIPT}.orig 
sed 's/if \[ "\$1" = "start" \]; then/\
echo change current directory ${CATALINA_HOME}\/bin\
cd ${CATALINA_HOME}\/bin\/\
&/' ${TOMCAT_SCRIPT}.orig > ${TOMCAT_SCRIPT}
fi
else
    echo ERROR nothing Tomcat boot script ${TOMCAT_SCRIPT}
fi
